> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an artist



## OpenAPI

````yaml api-reference/openapi.json get /artists/{artist_id}
openapi: 3.1.0
info:
  title: WavMaker API
  description: ''
  version: 1.0.0
servers:
  - url: https://www.wavmaker.com/api/v1
    description: Prod Env
security:
  - bearerToken: []
tags:
  - name: Songs
  - name: Categories
  - name: Cue Packs
  - name: Artists
paths:
  /artists/{artist_id}:
    get:
      tags:
        - Artists
      summary: Retrieve an artist
      operationId: retrieve-artist
      parameters:
        - name: artist_id
          in: path
          description: ''
          required: true
          example: loopnpixel
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  image:
                    $ref: '#/components/schemas/Image'
                required:
                  - id
                  - name
                  - image
              example:
                id: loopnpixel
                name: loopnpixel
                image:
                  sm: >-
                    https://cdn.wavmaker.com/rails/active_storage/representations/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MTAyNjEsInB1ciI6ImJsb2JfaWQifX0=--6e31882efd9ae387253322725aedd2b981083d9d/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYXQiOiJwbmciLCJyZXNpemVfdG9fZmlsbCI6WzEwMCwxMDBdfSwicHVyIjoidmFyaWF0aW9uIn19--c4b49c4778572373e70910bfce2bc8dd2cf81b7b/loopnpixel.png
                  md: >-
                    https://cdn.wavmaker.com/rails/active_storage/representations/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MTAyNjEsInB1ciI6ImJsb2JfaWQifX0=--6e31882efd9ae387253322725aedd2b981083d9d/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYXQiOiJwbmciLCJyZXNpemVfdG9fZmlsbCI6WzQwMCw0MDBdfSwicHVyIjoidmFyaWF0aW9uIn19--0f19739606c4e7a058269e200b30d48d61ea771b/loopnpixel.png
                  lg: >-
                    https://cdn.wavmaker.com/rails/active_storage/representations/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MTAyNjEsInB1ciI6ImJsb2JfaWQifX0=--6e31882efd9ae387253322725aedd2b981083d9d/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYXQiOiJwbmciLCJyZXNpemVfdG9fZmlsbCI6WzEwMDAsMTAwMF19LCJwdXIiOiJ2YXJpYXRpb24ifX0=--012c9d0ab27ec018ebf03b0c12d570366df09153/loopnpixel.png
          headers: {}
      deprecated: false
      security:
        - bearerToken: []
components:
  schemas:
    Image:
      type: object
      properties:
        sm:
          type: string
          description: 100x100 pixels
        md:
          type: string
          description: 400x400 pixels
        lg:
          type: string
          description: 1000x1000 pixels
      required:
        - sm
        - md
        - lg
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer

````